@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;

@use './styles/navigation-tablist.variables' as *;

:host {
  @include digi-tablist--variables;

  .digi-tablist {
    font-family: var(--digi--global--typography--font-family--default);
    color: var(--digi--typography--color--text);

    position: relative;
    display: flex;
    gap: 1rem;
    background-color: white;
    margin-bottom: 2.875rem;
    border-bottom: 1px solid var(--digi--color--border--neutral-2);

    &--overflow-scroll {
      & .control-wrapper {
        display: none !important;
      }
      & [role='tablist'] {
        overflow-x: auto;
      }
    }

    &--overflow-controls {
      & [role='tablist'] {
        overflow-x: hidden;
      }
    }

    button {
      background: none;
      border: none;
      padding: 0;
      font-family: inherit;
    }

    [role='tablist'] {
      display: flex;
      font-weight: bold;
      flex-grow: 1;
      width: 100%;
    }
    .control-wrapper {
      position: absolute;
      z-index: 20;
      display: flex;
      align-items: center;
      justify-content: center;
      height: 100%;

      .tab-control-button {
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: var(--digi--color--background--neutral-6);
        border-radius: 6px;
        min-height: auto;
        padding: 0.75rem;
        aspect-ratio: 1;

        digi-icon-chevron-right,
        digi-icon-chevron-left {
          --digi--icon--color: var(--digi--color--text--link);
        }
      }
    }

    .digi-tab {
      cursor: pointer;
      white-space: nowrap;
      .content-wrapper {
        position: relative;
        height: 2.75rem;
        display: flex;
        flex-direction: column;
        transition: background-color 0.1s linear;
      }
      .title {
        flex: 1;
        font-size: 1rem;
        padding-right: 0.75rem;
        padding-left: 0.75rem;
        flex-direction: column;
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: normal;
        color: var(--tab-text-color);
        &::after {
          content: attr(data-text);
          content: attr(data-text) / '';
          height: 0;
          visibility: hidden;
          overflow: hidden;
          user-select: none;
          pointer-events: none;
          font-weight: bold;
        }
      }

      .indicator {
        height: 0.25rem;
        width: 100%;
        visibility: hidden;
        background-color: var(--tab-active-border-color);
      }

      &:focus {
        outline: none;
        box-shadow: none;
      }

      &:focus-visible{
        z-index: 10;
        @include digi--focus--inset();
      }

      &:hover:not(.is-active) {
        .title {
          color: var(--digi--color--text--link);
          text-decoration: underline;
        }
      }

      &.is-active {
        .title {
          font-weight: bold;
        }

        .indicator {
          visibility: visible;
        }
      }
    }
  }
}
